<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::VertexElement Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#34d62f56827dfb288b55059696587d83">baseVertexPointerToElement</a>(void *pBase, void **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#20a697dec05663dea83bdee02d9412bf">baseVertexPointerToElement</a>(void *pBase, float **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#676a6d854d713058757f640cf6a6ae17">baseVertexPointerToElement</a>(void *pBase, RGBA **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#5cdb660e91d8d4adbad6172e86c2562f">baseVertexPointerToElement</a>(void *pBase, unsigned char **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#f3bcab57ea91e958261c618b2c8925c4">baseVertexPointerToElement</a>(void *pBase, unsigned short **pElem) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#6e79d12b90d3bdb7ed6ecd43e1a400b0">convertColourValue</a>(VertexElementType srcType, VertexElementType dstType, uint32 *ptr)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#b4aba9e0430b1b330616827a5e99b54b">convertColourValue</a>(const ColourValue &amp;src, VertexElementType dst)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#b72d0360c1bea273ac8fecd88c9a9ec6">getBaseType</a>(VertexElementType multiType)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#fd91fd79991fc24e48e986672b2250f4">getBestColourVertexElementType</a>(void)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#14940087823ab0068a7a684c5ee6353a">getIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ffcb4cfae6944a6cb43d1a03664f4a95">getOffset</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#eab14d13a7368e75be776c871420cc77">getSemantic</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#8fc4573e6122ee2a73577d74b50ed599">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#c0559c14d6c048db96c1eff14cceff40">getSource</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ea85cdaf058bc4ef4f43a21a042e8e4b">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#e62cacb2ca32a02851422f2e4f66be68">getTypeCount</a>(VertexElementType etype)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#0c6ec880969e888a995e5e7bcae73e6f">getTypeSize</a>(VertexElementType etype)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#481893620cead3d8136aab24da32aa3c">mIndex</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#82f811fecda479f8b1443d5df9488a25">mOffset</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#3f040d2e54d1dc1103a7cc3b2a0f2e9b">mSemantic</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#ba26f25183641c5095c8f6d0831dc1ca">mSource</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#55d4996a5703f82020ebf05a4c5f8222">mType</a></td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#e5e021d95c04f267cd8f4bcc8133aa8b">multiplyTypeCount</a>(VertexElementType baseType, unsigned short count)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#65832073a574e06903adc1101e109732">operator==</a>(const VertexElement &amp;rhs) const </td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexElement.html#b554b57536fc3eddde886d100c62791f">VertexElement</a>(unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:59 2008
</p>
</body>
</html>
